sensorfw: MagCoordinateAlignFilter Class Reference

sensorfw

Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
MagCoordinateAlignFilter Class Reference

Coordinate alignment filter. More...

`#include <magcoordinatealignfilter.h>`

Inheritance diagram for MagCoordinateAlignFilter:

## Public Member Functions
const TMagMatrix & | matrix () const
void | setMatrix (const TMagMatrix &matrix)

## Static Public Member Functions
static FilterBase * | factoryMethod ()
| Factory method. More...

## Protected Member Functions
| MagCoordinateAlignFilter ()
| Constructor. More...

## Properties
TMagMatrix | transMatrix

## Detailed Description

Coordinate alignment filter.

Performs three dimensional coordinate transformations. Transformation is described by transformation matrix which is set through `TMatrix` property. Matrix must be of size 3x3. Default TMatrix is identity matrix.

Definition at line 75 of file magcoordinatealignfilter.h.

## Constructor & Destructor Documentation

## ◆ MagCoordinateAlignFilter()

MagCoordinateAlignFilter::MagCoordinateAlignFilter | ( |  | ) |
| protected

Constructor.

## Member Function Documentation

## ◆ factoryMethod()

static FilterBase* MagCoordinateAlignFilter::factoryMethod | ( |  | ) |
| inlinestatic

Factory method.

Returns
  New MagCoordinateAlignFilter instance as FilterBase*.

Definition at line 85 of file magcoordinatealignfilter.h.

## ◆ matrix()

const TMagMatrix& MagCoordinateAlignFilter::matrix | ( |  | ) | const
| inline

Definition at line 89 of file magcoordinatealignfilter.h.

## ◆ setMatrix()

void MagCoordinateAlignFilter::setMatrix | ( | const TMagMatrix & | matrix | ) |
| inline

Definition at line 91 of file magcoordinatealignfilter.h.

## Property Documentation

## ◆ transMatrix

TMagMatrix MagCoordinateAlignFilter::transMatrix
| readwrite

Definition at line 63 of file magcoordinatealignfilter.h.

The documentation for this class was generated from the following file:

- filters/magcoordinatealignfilter/magcoordinatealignfilter.h